<div id="searchform" class="blockform">
	<h2><span>Search</span></h2>
	<div class="box">
		<form id="search" method="get" action="<%= url_for :action => 'search' %>">
			<div class="inform">
				<fieldset>
					<legend>Enter your search criteria</legend>
					<div class="infldset">
						<input type="hidden" name="action" value="search" />
						<label class="conl">Keyword search<br /><input type="text" name="keywords" size="40" maxlength="100" /><br /></label>
						<label class="conl">Author search<br /><input id="author" type="text" name="author" size="25" maxlength="25" /><br /></label>
						<p class="clearb">To search by keyword, enter a term or terms to search for. Separate terms with spaces. Use AND, OR and NOT to refine your search. To search by author enter the username of the author whose posts you wish to search for. Use wildcard character * for partial matches.</p>
					</div>
				</fieldset>
			</div>
			<div class="inform">
				<fieldset>
					<legend>Select where to search</legend>
					<div class="infldset">
						<label class="conl">Forum
						<br /><select id="forum" name="forum">
<% if Settings.search_all_forums == true or current_user.can_moderate? -%>
							<option value="-1">All forums</option>
<% end -%>
<%
cur_category = 0
for f in @forums
  if f.category.id != cur_category
    if cur_category != 0
-%>
							</optgroup>
<%
    end
-%>
							<optgroup label="<%=h f.category.cat_name %>">
<%
    cur_category = f.category.id
  end
-%>
								<option value="<%= f.id %>"><%=h f.forum_name %></option>
<%
end
-%>
							</optgroup>
						</select>
						<br /></label>
						<label class="conl">Search in
						<br /><select id="search_in" name="search_in">
							<option value="all">Message text and topic subject</option>
							<option value="message">Message text only</option>
							<option value="topic">Topic subject only</option>
						</select>
						<br /></label>
						<p class="clearb">Choose in which forum you would like to search and if you want to search in topic subjects, message text or both.</p>
					</div>
				</fieldset>
			</div>
			<div class="inform">
				<fieldset>
					<legend>Select how to view search results</legend>
					<div class="infldset">
						<label class="conl">Sort by
						<br /><select name="sort_by">
							<option value="0">Post time</option>
							<option value="1">Author</option>
							<option value="2">Subject</option>
							<option value="3">Forum</option>
						</select>
						<br /></label>
						<label class="conl">Sort order
						<br /><select name="sort_dir">
							<option value="DESC">Descending</option>
							<option value="ASC">Ascending</option>
						</select>
						<br /></label>
						<label class="conl">Show results as
						<br /><select name="show_as">
							<option value="topics">Topics</option>
							<option value="posts">Posts</option>
						</select>
						<br /></label>
						<p class="clearb">You can choose how you wish to sort and show your results.</p>
					</div>
				</fieldset>
			</div>
			<p><input type="submit" name="search" value="Submit" accesskey="s" /></p>
		</form>
	</div>
</div>
